<div class="table-page">
  <div class="table-create table-create__center">

    <button mat-raised-button [routerLink]="['/cities']">
      <mat-icon>undo</mat-icon>
    </button>

    <button mat-raised-button (click)="onCreate()">
      <mat-icon>add</mat-icon> Add center
    </button>

    <button mat-raised-button (click)="getAllCenters(city)">
      <mat-icon>cached</mat-icon>
    </button>
  </div>


  <div class="table mat-elevation-z8">
    <mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="id">
        <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.id}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef class="tabel-cell__text"> Name </mat-header-cell>
        <mat-cell *matCellDef="let row" class="tabel-cell__text"> {{row.name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="bikesCount">
        <mat-header-cell *matHeaderCellDef> Bikes </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.bikesCount}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="cost">
        <mat-header-cell *matHeaderCellDef> Cost </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.cost}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="refundDeposit">
        <mat-header-cell *matHeaderCellDef> Refund deposit </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.refundDeposit}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="location">
        <mat-header-cell *matHeaderCellDef class="tabel-cell__text"> Location </mat-header-cell>
        <mat-cell *matCellDef="let row" class="tabel-cell__text"> {{row.location.address}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef>Edit</mat-header-cell>
        <mat-cell *matCellDef="let row">
          <button mat-icon-button (click)="onEdit(row.id, row.bikesCount, row.cost, row.refundDeposit)">
            <mat-icon>launch</mat-icon>
          </button>
          <button mat-icon-button color="warn" (click)="deleteCenter(row.id)">
            <mat-icon>delete_outline</mat-icon>
          </button>
        </mat-cell>
      </ng-container>



      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>

  </div>

  <div>
    <agm-map class="map" [zoom]="4" [latitude]="50.8898203" [longitude]="12.9118">
      <agm-marker *ngFor="let item of center" [latitude]="item.location.lat" [longitude]="item.location.lon">
      </agm-marker>
    </agm-map>
  </div>

  
</div>